#!/usr/bin/bash
#PBS -q medium
#PBS -l mem=96G
#PBS -N pbs.pirate.sh
set -e
#set -u
set -o pipefail

cd ${PBS_O_WORKDIR}

echo; echo "[$(date)] $0 job has been started."

input_dir=./data/gff
output_dir=./data/pirate

# https://github.com/SionBayliss/PIRATE#basic-examples
# PIRATE -i /path/to/gff/files/ -s "50,70,90,95" -o /path/to/output_directory/ -a -r
PIRATE -i ${input_dir} -o ${output_dir} --steps "50,70,90,95" --align --rplots --threads $(getconf _NPROCESSORS_ONLN)

echo; echo "[$(date)] $0 has been successfully completed."

: <<'#__COMMENT_OUT__'

https://github.com/SionBayliss/PIRATE

#__COMMENT_OUT__
